import { v4 as uuid } from 'uuid'
import { jellyfinHandler } from "../.."
import { Command } from '../structures/command'
import { RunOptions } from '../types/commandTypes'
import { logger } from '../logger'

export default new Command({
	name: 'passwort_reset',
	description: 'Ich vergebe dir ein neues Passwort und schicke es dir per DM zu. Kostet auch nix! Versprochen! 😉',
	options: [],
	run: async (interaction: RunOptions) => {
		logger.info('PasswortReset called')
		interaction.interaction.followUp('Yo, ich schick dir eins!')
		logger.info(JSON.stringify(interaction.interaction.member, null, 2))
		jellyfinHandler.resetUserPasswort(interaction.interaction.member, uuid())
	}
})
